package com.catkissfish.springboot.mocikito.demo;

import com.catkissfish.springboot.mocikito.demo.service.UserService;
import org.junit.jupiter.api.Test;
import org.junit.jupiter.api.extension.ExtendWith;
import org.mockito.Mock;
import org.mockito.Mockito;
import org.mockito.Spy;
import org.mockito.junit.jupiter.MockitoExtension;

/**
 * 测试Mock和Spy对象
 */
@ExtendWith(MockitoExtension.class)
class Demo01 {
    @Mock
    UserService mockUserService;
    @Spy
    UserService spyUserService;
    @Test
    public void test(){
        System.out.println(Mockito.mockingDetails(mockUserService).isMock());
        System.out.println(Mockito.mockingDetails(spyUserService).isSpy());
    }
}
