package com.catkissfish.springboot.mocikito.demo;

import com.catkissfish.springboot.mocikito.demo.service.OrderService;
import com.catkissfish.springboot.mocikito.demo.service.impl.UserServiceImpl;
import org.junit.jupiter.api.Assertions;
import org.junit.jupiter.api.Test;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.test.context.SpringBootTest;
import org.springframework.boot.test.mock.mockito.MockBean;
import org.springframework.boot.test.mock.mockito.SpyBean;

import static org.mockito.Mockito.doReturn;

/**
 * 集成springboot
 */
@SpringBootTest(classes = CatkissfishSpringbootMockitoDemoApplication.class)
public class Demo05 {
    @Autowired
    @SpyBean
    private UserServiceImpl userService;
    @MockBean
    private OrderService orderService;

    @Test
    public void test1(){
//        doReturn(100).when(userService).orderCount(1);
        doReturn(50).when(orderService).orderCount(1L);
        int orderCount = userService.orderCount(1);
        Assertions.assertEquals(50, orderCount);
    }
}
